curl --request DELETE \
--url https://admin.snagsolutions.io/api/loyalty/badges/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/loyalty/badges/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/loyalty/badges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"name": "Example Badge",
"description": "Example description",
"imageUrl": "https://example.com/image.png",
"loyaltyConditions": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"type": "rule",
"description": "Example description",
"amount": 10,
"repeatCount": 5,
"requiredCount": 5,
"loyaltyRuleGroupId": "123e4567-e89b-12d3-a456-426614174333",
"association": [
{
"loyaltyRule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"loyaltyBadge": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"loyaltyRuleGroup": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"loyaltyCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"loyaltyLeaderboardView": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"loyaltyCurrencyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"csvUrl": "https://example.com/csv",
"csvFiles": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"url": "https://example.com/file.csv",
"name": "file.csv",
"description": "Example description"
}
]
}
],
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"hideInUi": false,
"rewards": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"rewardType": "points",
"loyaltyCurrencyId": "123e4567-e89b-12d3-a456-426614174333",
"amount": 100,
"multiplier": 2.5,
"isRetroactive": false,
"loyaltyCurrencyIds": [
"123e4567-e89b-12d3-a456-426614174333"
]
}
],
"loyaltyBadgeUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"userId": "123e4567-e89b-12d3-a456-426614174222",
"websiteId": "123e4567-e89b-12d3-a456-426614174111",
"organizationId": "123e4567-e89b-12d3-a456-426614174222",
"status": "active",
"loyaltyBadgeId": "123e4567-e89b-12d3-a456-426614174333",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"hideInUi": false,
"progress": "<unknown>",
"dismissedInUi": false,
"user": {
"id": "123e4567-e89b-12d3-a456-426614174222",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678"
},
"completedAt": "2021-01-01T00:00:00.000Z"
}
],
"loyaltyRules": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"name": "Example Rule"
}
],
"dataJobs": [
{
"id": "123e4567-e89b-12d3-a456-426614174333",
"status": "pending",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"message": "Data job is pending"
}
]
}"Forbidden, Could not validate api key"{
"message": "Not found"
}{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Delete badge (by id)
This endpoint allows you to delete a badge.
Authorizations
Path Parameters
UUID of the badge to delete (converted to lowercase)
"123e4567-e89b-12d3-a456-426614174333"
Response
200
Response returned upon successful deletion of the badge.
UUID of the badge (converted to lowercase)
"123e4567-e89b-12d3-a456-426614174333"
The name of the badge
"Example Badge"
The description of the badge
"Example description"
The URL of the badge image
"https://example.com/image.png"
Array of conditions of the badge
Show child attributes
Show child attributes
The date and time the badge was created
"2021-01-01T00:00:00.000Z"
The date and time the badge was updated
"2021-01-01T00:00:00.000Z"
Whether to hide this badge in the user interface
false
Array of rewards granted when the badge is achieved
Show child attributes
Show child attributes
Array of user badges
Show child attributes
Show child attributes
Array of loyalty rules associated with the badge
Show child attributes
Show child attributes
Array of data jobs associated with the badge
Show child attributes
Show child attributes
Was this page helpful?